<template>
  <!-- 营销数据 -->
  <div class="marketing">
    <el-dialog :title="title" :visible.sync="dialogVisible" :before-close="handleClose" width="1000px" :append-to-body="true" :close-on-click-modal="false">
      <productMarket :id="productData.id" :licenseRate="productData.licenseRate"></productMarket>
    </el-dialog>
  </div>
</template>

<script>
import productMarket from '../market/index.vue'
export default {
  components:{
    productMarket
  },
  data() {
    return {
      // 营销数据弹窗的title
      title: '营销数据',
      // 控制营销数据弹窗的显示与消失
      dialogVisible: false,
      //产品数据
      productData:{}
    }
  },
  mounted() {

  },
  methods: {

    // 打开弹窗
    open(row) {
      this.productData = row
      this.title = `营销数据(${row.name})`
      this.dialogVisible = true
    },

    // 弹窗取消
    handleClose() {
      this.dialogVisible = false
    },
  },
}
</script>

<style lang="scss" scoped></style>